الانتقال إلى المحتوى الرئيسي
POST
/
augment
/
scrape
/api/v1/augment/scrape
curl --request POST \
  --url https://api.venice.ai/api/v1/augment/scrape \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "https://example.com"
}
'
{
  "url": "https://example.com",
  "content": "<string>",
  "format": "markdown"
}
هذه واجهة API تجريبية. قد يتغير تنسيق الطلب والاستجابة دون إشعار.
أرسل عنوان URL يمكن الوصول إليه علنًا في حقل url. تُعيد الـ API محتوى الصفحة بصيغة markdown. يحاول الـ scraper أولًا الاعتماد على دعم markdown الأصلي للموقع المستهدف (عبر Cloudflare Markdown for Agents)، ثم يعود إلى الاستخراج عبر متصفح headless. بعض المواقع التي تمنع الوصول الآلي (مثل X/Twitter و Reddit) يتم رفضها فورًا بخطأ 400. التسعير: $0.01 لكل طلب.

مثال (cURL)

curl -X POST https://api.venice.ai/api/v1/augment/scrape \
  -H "Authorization: Bearer $VENICE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"url": "https://example.com"}'

التفويضات

Authorization
string
header
مطلوب

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

الجسم

application/json
url
string<uri>
مطلوب

The URL to scrape

مثال:

"https://example.com"

الاستجابة

Successfully scraped the URL

url
string
مطلوب

The URL that was scraped

مثال:

"https://example.com"

content
string
مطلوب

The scraped content in markdown format

format
enum<string>
مطلوب

The format of the scraped content

الخيارات المتاحة:
markdown